datacache <- new.env(hash=TRUE, parent=emptyenv())

zebrafishdrrefseq <- function() showQCData("zebrafishdrrefseq", datacache)
zebrafishdrrefseq_dbconn <- function() dbconn(datacache)
zebrafishdrrefseq_dbfile <- function() dbfile(datacache)
zebrafishdrrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
zebrafishdrrefseq_dbInfo <- function() dbInfo(datacache)

zebrafishdrrefseqORGANISM <- "Danio rerio"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "zebrafishdrrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("ZEBRAFISHCHIP_DB", "zebrafishdrrefseq", "chip zebrafishdrrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("zebrafishdrrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(zebrafishdrrefseq_dbconn())
}

